/* This file is part of `fileSelect'
 * Copyright (c) 1995 David Deaven
 *
 * In the following, "you" and "You" refer to any entity other than 
 * the Microsoft corporation and its subsidiaries.  All rights are
 * reserved by the author in connection with Microsoft and its
 * subsidiaries.  The Microsoft Network is explicity denied the right
 * to copy, reproduce, or transmit this software.
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Author: deaven $
 * $Id: FileSelect.h,v 2.0 1996/07/09 20:52:33 deaven Exp $
 */

#ifndef _FILESELECT_H_
#define _FILESELECT_H_

extern WidgetClass fileSelectWidgetClass;
typedef struct FileSelectClassRec_s *FileSelectWidgetClass;
typedef struct FileSelectRec_s *FileSelectWidget;

#ifndef XtIsFileSelect
#define XtIsFileSelect(w) XtIsSubclass((w), fileSelectWidgetClass)
#endif


#ifndef XtNdirectory
#define XtNdirectory "directory"
#endif
#ifndef XtCDirectory
#define XtCDirectory "Directory"
#endif

#ifndef XtNfilter
#define XtNfilter "filter"
#endif
#ifndef XtCFilter
#define XtCFilter "Filter"
#endif

#ifndef XtNfilename
#define XtNfilename "filename"
#endif
#ifndef XtCFilename
#define XtCFilename "Filename"
#endif

#ifndef XtNverticalSpacing
#define XtNverticalSpacing "verticalSpacing"
#endif
#ifndef XtCVerticalSpacing
#define XtCVerticalSpacing "VerticalSpacing"
#endif

#ifndef XtNborderWidth
#define XtNborderWidth "borderWidth"
#endif
#ifndef XtCBorderWidth
#define XtCBorderWidth "BorderWidth"
#endif

char *FSCompletePath(Widget w);

#endif /* _FILESELECT_H_ */
