/* This file is part of `checkBox'
 * Copyright (c) 1995 David Deaven
 *
 * In the following, "you" and "You" refer to any entity other than 
 * the Microsoft corporation and its subsidiaries.  All rights are
 * reserved by the author in connection with Microsoft and its
 * subsidiaries.  The Microsoft Network is explicity denied the right
 * to copy, reproduce, or transmit this software.
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Author: deaven $
 * $Id: CheckBox.h,v 1.1 1996/07/12 08:38:59 deaven Exp deaven $
 */

#ifndef _CHECKBOX_H_
#define _CHECKBOX_H_

extern WidgetClass checkBoxWidgetClass;
typedef struct CheckBoxClassRec_s *CheckBoxWidgetClass;
typedef struct CheckBoxRec_s *CheckBoxWidget;

#ifndef XtIsCheckBox
#define XtIsCheckBox(w) XtIsSubclass((w), checkBoxWidgetClass)
#endif

#ifndef XtNvalue
#define XtNvalue "value"
#endif
#ifndef XtCValue
#define XtCValue "Value"
#endif

#ifndef XtNlineWidth
#define XtNlineWidth "lineWidth"
#endif
#ifndef XtCLineWidth
#define XtCLineWidth "LineWidth"
#endif

#endif /* _CHECKBOX_H_ */
